import { registerHandler } from '../ipc-server';

export function answer(channel: IpcChannel): IpcControllerMethodDecorator {
  return function (target: IIpcController, propertyKey): void {
    registerHandler(channel, target, propertyKey);
  };
}
